(ns luduverse.handler
  (:require [compojure.core :refer :all]
            [compojure.route :as route]
            [noir.util.middleware :as middleware]
            [luduverse.pages :as pages]
            [luduverse.ld-images :as images]))

(defroutes core-routes
  (route/resources "/")
  (GET "/" [] (pages/front-page))
  (route/not-found "404, sorry."))

(defn init []
  ; Create the image resource path if it is missing
  (if (not (fs/exists? (images/base-path))) (fs/mkdirs (images/base-path))))

(defn destroy [])

(def app (middleware/app-handler
          [core-routes]
          :middleware []
          :access-rules []
          :formats [:json-kw :edn]))
