(ns luduverse.db
  (:require [luduverse.db-schema :as schema]
            [korma.core :refer :all]
            [korma.db :refer [defdb mysql]]))

(defdb db (mysql {:db "luduverse"
                  :user "root"
                  :password "dev"
                  :host "localhost"}))

(declare entities competitions users sources)

(defentity entries
  (database db)
  (belongs-to contests)
  (belongs-to users)
  (has-many sources))

(defentity competitions
  (database db)
  (has-many entries))

(defentity users
  (database db)
  (has-many entities))

(defentity sources
  (database db)
  (belongs-to entities))

